# https://github.com/pypa/setuptools_scm/archive/v2.0.0.tar.gz
%global module setuptools-scm

Name:           python-%{module}
Version:        2.0.0
Release:        %mkrel 1
Summary:        Handles managing your python package versions in scm metadata

License:        MIT
Group:          Development/Python
URL:            https://github.com/pypa/setuptools_scm
Source0:        setuptools_scm-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python-setuptools
Provides:       python-setuptools_scm = %{version}-%{release}

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}.
Group:          Development/Python
Requires:       python3-setuptools
Provides:       python3-setuptools_scm = %{version}-%{release}

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn setuptools_scm-%{version}
cp -a . %{py3dir}

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
pushd %{py3dir}
%py3_build
%{__python3} setup.py egg_info
popd
%py2_build
%{__python2} setup.py egg_info

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}

%files
%doc LICENSE README.rst
%{python_sitelib}/*

%files -n python3-%{module}
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Sat Jun  30 2018 adrianomorselli <adrianomorselli> 2.0.0-1uplos2018
- imported for uplos
